Skip to main content
GET
/
api
/
v2
/
members
List account members
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/members \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_links": {},
      "_id": "507f1f77bcf86cd799439011",
      "role": "reader",
      "email": "ariel@acme.com",
      "_pendingInvite": false,
      "_verified": true,
      "customRoles": [
        "devOps",
        "backend-devs"
      ],
      "mfa": "<string>",
      "_lastSeen": "1608260796147",
      "creationDate": "1628001602644",
      "firstName": "Ariel",
      "lastName": "Flores",
      "_pendingEmail": "<string>",
      "excludedDashboards": [
        "<string>"
      ],
      "_lastSeenMetadata": {
        "tokenId": "5b52207f8ca8e631d31fdb2b"
      },
      "_integrationMetadata": {
        "externalId": "<string>",
        "externalStatus": {
          "display": "<string>",
          "value": "<string>"
        },
        "externalUrl": "<string>",
        "lastChecked": 123
      },
      "teams": [
        {
          "customRoleKeys": [
            "access-to-test-projects"
          ],
          "key": "team-key-123abc",
          "name": "QA Team",
          "_links": {}
        }
      ],
      "permissionGrants": [
        {
          "resource": "team/qa-team",
          "actionSet": "<string>",
          "actions": [
            "maintainTeam"
          ]
        }
      ],
      "oauthProviders": [
        "<string>"
      ],
      "version": 1,
      "roleAttributes": {}
    }
  ],
  "_links": {},
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

limit
integer<int64>

The number of members to return in the response. Defaults to 20.

offset
integer<int64>

Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

filter
string<string>

A comma-separated list of filters. Each filter is of the form field:value. Supported fields are explained above.

expand
string<string>

A comma-separated list of properties that can reveal additional information in the response.

sort
string<string>

A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.

Response

Members collection response

items
object[]
required

An array of members

The location and content type of related resources

totalCount
integer

The number of members returned